; DISLIN: Demonstration of POLAR / IDL
; Version 1.4, 29.02.2016, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_sample_highlevel_polar

	n = 300
	m = 10

	y1 = indgen (n) * 2. * !PI / (n - 1)
	x1 = sin (5 * y1)

	x2 = indgen (m) + 1.
	y2 = x2

	title = [ '', 'Polar Plots' ]
	left = 550
	top = 400
	plot_size = [ 1000, 1000 ]
	distance = 350

	dislin_page, page_format='da4p', /hardware_font
	dislin_axis, left, top, plot_size, row=0, title=title, text_size=50, no_label='noends', label_type='horizontal'
	dislin_graf, 1, /polar, /exact, ed=[0.2,30], en=[1,-1], ticks=[2,3], background=0.95
	dislin_curve, x1, y1, color='full_blue'
	dislin_next, /reset

	dislin_axis, left, top, plot_size, row=1, distance=distance, no_label='noends'
	dislin_graf, 10, /polar, /exact, ed=[2,30], /integer, ticks=[2,3], background=0.95
	dislin_curve, x2, y2, color='full_blue', interpolation='fbars', bar_width=-5
	dislin_end

end

