; DISLIN: Demonstration of INTERPOLATION METHODS / IDL
; Version 1.0, 24.07.2012, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_sample_interpolation_methods

	ctit = 'Interpolation Methods'

	xray = [ 0., 1., 3., 4.5, 6., 8., 9., 11., 12., 12.5, 13., 15., 16., 17., 19., 20. ]
	yray = [ 2., 4., 4.5, 3., 1., 7., 2., 3., 5., 2., 2.5, 2., 4., 6., 5.5, 4. ]
	cpol = [ 'SPLINE', 'BARS', 'STEP', 'LINEAR' ]

	dislin, 'scrmod', 'revers'
	dislin, 'setpag', 'da4p'
	dislin, 'metafl', 'xwin'

	dislin, 'disini'
	dislin, 'pagera'
	dislin, 'complx'

	dislin, 'incmrk', 1
	dislin, 'hsymbl', 25
	dislin, 'titlin', ctit, 1
	dislin, 'axslen', 1500, 500
	dislin, 'setgrf', 'LINE', 'LINE', 'LINE', 'LINE'

	dislin, 'intrgb', 1.0, 1.0, 0.0, return=ic
	dislin, 'axsbgd', ic

	nya = 2700
	for i = 0, 3 do begin
		dislin, 'axspos', 350, nya - i * 500
		dislin, 'polcrv', cpol[i]
		dislin, 'marker', 0
		dislin, 'graf', 0., 20., 0., 5., 0., 10., 0., 5.
		dislin, 'nxposn', 1., return=nx
		dislin, 'nyposn', 8., return=ny
		dislin, 'messag', cpol[i], nx, ny
		dislin, 'color', "red"
		dislin, 'curve', xray, yray, 16
		dislin, 'color', "fore"

		if (i eq 3) then begin
			dislin, 'height', 50
			dislin, 'title'
		end
		dislin, 'endgrf'
	end
	dislin, 'disfin'

end

