; DISLIN: Demonstration of POLAR / IDL
; Version 1.0, 24.07.2012, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_sample_polar

	n = 300
	m = 10

	y1 = indgen (n) * 2. * !PI / (n - 1)
	x1 = sin (5 * y1)

	x2 = indgen (m) + 1.
	y2 = x2

	dislin, 'scrmod', 'revers'
	dislin, 'setpag', 'da4p'
	dislin, 'metafl', 'cons'
	dislin, 'disini'
	dislin, 'hwfont'
	dislin, 'pagera'

	dislin, 'titlin', 'Polar Plots', 2
	dislin, 'ticks', 3, 'Y'
	dislin, 'axends', 'NOENDS', 'X'
	dislin, 'labdig', -1, 'Y'
	dislin, 'axslen', 1000, 1000
	dislin, 'axsorg', 1050, 900

	dislin, 'intrgb', 0.95, 0.95, 0.95, return=ic
	dislin, 'axsbgd', ic

	dislin, 'grafp', 1., 0., 0.2, 0., 30.
	dislin, 'color', 'blue'
	dislin, 'curve', x1, y1, n
	dislin, 'color', 'fore'
	dislin, 'htitle', 50
	dislin, 'title'
	dislin, 'endgrf'

	dislin, 'labdig', -1, 'X'
	dislin, 'axsorg', 1050, 2250
	dislin, 'labtyp', 'VERT', 'Y'
	dislin, 'grafp', 10., 0., 2., 0., 30.
	dislin, 'barwth', -5.
	dislin, 'polcrv', 'FBARS'
	dislin, 'color', 'blue'
	dislin, 'curve', x2, y2, m

	dislin, 'disfin'

end

