; IDL DISLIN function to rotate coordinates
; Version 1.8, 05.10.2018, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

function dislin_rotate, data, angle, log=log

	if (size (log, /type) eq 0) then log = ''
	if (size (log, /type) ne 7) then if (keyword_set (log)) then log = 'xy' else log = ''

	x = data[0]
	y = data[1]
	if (strpos (log, 'x') ge 0) then x = 10^x
	if (strpos (log, 'y') ge 0) then y = 10^y

	sin_angle = sin (angle)
	cos_angle = cos (angle)

	return, [ total ([ cos_angle, -sin_angle ] * [ x, y ]) , total ([ sin_angle,  cos_angle ] * [ x, y ]) ]
end

