; DISLIN: Demonstration of DISLIN SAMPLES / IDL
; Using both, low-level and high-level procedures.
; Version 1.4, 29.02.2016, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_samples

	print, 'Demonstration of DISLIN using only the low-level functions.'

	dislin_sample_3d_bar_graph_pie_chart
	dislin_sample_3d_bars
	dislin_sample_3d_colour
	dislin_sample_bar_graphs
	dislin_sample_contour
	dislin_sample_curve
	dislin_sample_interpolation_methods
	dislin_sample_map
	dislin_sample_pie_charts
	dislin_sample_polar
	dislin_sample_shaded_contour
	dislin_sample_shaded_surface
	dislin_sample_shading_patterns
	dislin_sample_solids
	dislin_sample_spheres_tubes
	dislin_sample_surface_contour
	dislin_sample_surface
	dislin_sample_symbols
	dislin_sample_tex
	dislin_sample_export

	print, 'Finished.'
	print, 'Please type ".c" to continue with the high-level procedures:'
	stop

	print, ''
	print, 'Demonstration of DISLIN high-level procedures.'

	dislin_sample_highlevel_3d_bar_graph_pie_chart
	dislin_sample_highlevel_3d_bars
	dislin_sample_highlevel_3d_colour
	dislin_sample_highlevel_bar_graphs
	dislin_sample_highlevel_contour
	dislin_sample_highlevel_curve
	dislin_sample_highlevel_interpolation_methods
	dislin_sample_highlevel_map
	dislin_sample_highlevel_pie_charts
	dislin_sample_highlevel_polar
	dislin_sample_highlevel_shaded_contour
	dislin_sample_highlevel_shaded_surface
	dislin_sample_highlevel_shading_patterns
	dislin_sample_highlevel_solids
	dislin_sample_highlevel_spheres_tubes
	dislin_sample_highlevel_surface_contour
	dislin_sample_highlevel_surface
	dislin_sample_highlevel_symbols
	dislin_sample_highlevel_tex
	dislin_sample_highlevel_export

	print, 'Finished.'

end

