; DISLIN: Demonstration of BAR GRAPHS / IDL
; Version 1.4, 26.02.2016, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_sample_highlevel_bar_graphs

	x = [ 1., 2., 3., 4., 5., 6., 7., 8., 9. ]
	y = [ 0., 0., 0., 0., 0., 0., 0., 0., 0. ]
	y1 = [ 1., 1.5, 2.5, 1.3, 2.0, 1.2, 0.7, 1.4, 1.1 ]
	y2 = [ 2., 2.7, 3.5, 2.1, 3.2, 1.9, 2.0, 2.3, 1.8 ]
	y3 = [ 4., 3.5, 4.5, 3.7, 4., 2.9, 3.0, 3.2, 2.6 ]

	title = [ '', '', 'Bar Graphs (BARS)' ]
	legend = [ 'FIRST', 'SECOND', 'THIRD' ]
	left_name = [ "ticks", "name", "ticks", "ticks" ]
	left = 300
	top = 400
	plot_size = [ 1600, 700 ]
	distance = 100

	dislin_page, page_format='da4p', /hardware_font
	dislin_axis, left, top, plot_size, row=0, title=title, text_size=50, label_type='horizontal', labeling=left_name
	dislin_graf, [0,10], [0,5], /exact, /integer, ed=1, ticks=1
	dislin_bar, x, y, y1, color='full_red', pattern=3, label_type='second', label_position='outside'
	dislin_next, /reset

	dislin_axis, left, top, plot_size, row=1, distance=distance, label_type='horizontal', labeling=left_name
	dislin_graf, [0,10], [0,5], /exact, /integer, ed=1, ticks=1
	dislin_bar, x, y, y1, color='full_red', text_size=30, pattern=3, label_type='delta', label_position='center'
	dislin_bar, x, y1, y2, color='full_green'
	dislin_bar, x, y2, y3, color='full_blue'
	dislin_legend, legend, pos='top-right', color='fore', /text_size, /keep
	dislin_next, /reset

	dislin_axis, left, top, plot_size, row=2, distance=distance, label_type='horizontal'
	dislin_graf, [0,10], [0,5], /exact, /integer, ed=1, ticks=1
	dislin_bar, x, y, y1, group=3, spacing=0.15, pattern=5, color='full_red'
	dislin_bar, x, y, y2, color='full_green'
	dislin_bar, x, y, y3, color='full_blue'
	dislin_legend, legend, pos='top-right', color='fore'
	dislin_end

end

