; DISLIN: Demonstration of MAP / IDL
; Version 1.4, 28.02.2016, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_sample_highlevel_map

	title = [ '', '', 'World Coastlines and Lakes' ]
	labels = [ 'Longitude', 'Latitude' ]
	left = 400
	top = 450
	plot_size = [ 2400, 1400 ]

	dislin_page, 'xwin', page_format='da4l', /hardware_font
	dislin_axis, left, top, plot_size, title=title, text_size=50, labels=labels, label_type='horizontal'
	dislin_graf, [-180,180], [-90,90], /exact, ed=[90,30], /map, /grid_lines
	dislin_color, 'full_green'
	dislin, 'world'
	dislin_end

end

