; DISLIN: Demonstration of SHADING PATTERNS / IDL
; Version 1.4, 29.02.2016, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_sample_highlevel_shading_patterns

	title = 'Shading patterns (AREAF)'
	left = 335
	top = 350
	plot_size = [ 300, 400 ]
	distance = [ 100, 200 ]

	dislin_page, 'xwin', page_format='da4l', /hardware_font
	dislin_color, table='small'
	dislin_label, title, 2970/2, top-150, text_size=50, /horizontal, /plot_coords
	for i = 0, 2 do begin
		ny = top + i * (plot_size[1] + distance[1])
		for j = 0, 5 do begin
			pos = i * 6 + j
			iclr = pos mod 8
			if (iclr eq 0) then iclr = 8
			dislin, 'setclr', iclr
			nx = left + j * (plot_size[0] + distance[0])
			dislin, 'shdpat', pos
			ixp = nx + plot_size[0] * [ 0, 1, 1, 0 ]
			iyp = ny + plot_size[1] * [ 0, 0, 1, 1 ]
			dislin, 'areaf', ixp, iyp, n_elements (ixp)
			dislin_label, strtrim (pos, 2), nx+plot_size[0]/2, ny+plot_size[1]+60, /horizontal, /plot_coords
		end
	end
	dislin_end

end

