; DISLIN: Demonstration of SOLIDS / IDL
; Version 1.0, 29.02.2016, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_sample_highlevel_solids

	title = 'Some Solids'
	left = 0
	top = 400
	plot_size = [ 2100, 2100 ]

	dislin_page, page_format='da4p', /hardware_font
	dislin_axis, left, top, plot_size, type='3D', title=title, text_size=60, labeling='none'
	dislin_graf, [-5,5], [-5,5], [-5,5], /exact, /light

	dislin, 'litop3', 1, 0.5, 0.5, 0.5, 'ambient'

	dislin, 'shdmod', 'smooth', 'surface' 
	dislin, 'zbfini'
	dislin, 'matop3', 1.0, 0.5, 0.0, 'diffuse'
	dislin, 'tube3d', -3., -3., 8.0, 2., 3., 5.5, 1., 40, 20 

	dislin, 'rot3d', -60., 0., 0. 
	dislin, 'matop3', 1.0, 0.0, 1.0, 'diffuse'
	dislin, 'setfce', 'bottom'
	dislin, 'matop3', 1.0, 0.0, 0.0, 'diffuse'
	dislin, 'cone3d', -3., -3., 3.5, 2., 3., 3., 40, 20
	dislin, 'setfce', 'top'

	dislin, 'rot3d', 0., 0., 0. 
	dislin, 'matop3', 0.0, 1.0, 1.0, 'diffuse'
	dislin, 'plat3d', 4., 4., 3., 3., 'icos'

	dislin, 'rot3d', 0., 0., 0. 
	dislin, 'matop3', 1.0, 1.0, 0.0, 'diffuse'
	dislin, 'sphe3d', 0., 0., 0., 3., 40, 20

	dislin, 'rot3d', 0., 0., -20. 
	dislin, 'matop3', 0.0, 0.0, 1.0, 'diffuse'
	dislin, 'quad3d', -4., -4., -3., 3., 3., 3.

	dislin, 'rot3d', 0., 0., 30. 
	dislin, 'matop3', 1.0, 0.3, 0.3, 'diffuse'
	dislin, 'pyra3d', -2., -5., -10., 3., 5., 5., 4

	dislin, 'rot3d', 0., 0., 0. 
	dislin, 'matop3', 1.0, 0.0, 0.0, 'diffuse'
	dislin, 'torus3d', 7., -3., -2., 1.5, 3.5, 1.5, 0., 360., 40, 20
	dislin, 'rot3d', 0., 90., 0. 

	dislin, 'matop3', 0.0, 1.0, 0.0, 'diffuse'
	dislin, 'torus3d', 7., -5., -2., 1.5, 3.5, 1.5, 0., 360., 40, 20
	dislin, 'zbffin'
	dislin_end

end

