; DISLIN: Demonstration of BAR GRAPHS / IDL
; Version 1.0, 24.07.2012, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_sample_bar_graphs

	x = [ 1., 2., 3., 4., 5., 6., 7., 8., 9. ]
	y = [ 0., 0., 0., 0., 0., 0., 0., 0., 0. ]
	y1 = [ 1., 1.5, 2.5, 1.3, 2.0, 1.2, 0.7, 1.4, 1.1 ]
	y2 = [ 2., 2.7, 3.5, 2.1, 3.2, 1.9, 2.0, 2.3, 1.8 ]
	y3 = [ 4., 3.5, 4.5, 3.7, 4., 2.9, 3.0, 3.2, 2.6 ]

	nya = 2700
	ctit = 'Bar Graphs (BARS)'

	dislin, 'scrmod', 'revers'
	dislin, 'setpag', 'da4p'
	dislin, 'metafl', 'cons'
	dislin, 'disini'
	dislin, 'pagera'
	dislin, 'complx'
	dislin, 'ticks', 1, 'x'
	dislin, 'intax'
	dislin, 'axslen', 1600, 700
	dislin, 'titlin', ctit, 3

	dislin, 'legini', cbuf, 3, 8
	dislin, 'leglin', cbuf, 'FIRST', 1
	dislin, 'leglin', cbuf, 'SECOND', 2
	dislin, 'leglin', cbuf, 'THIRD', 3
	dislin, 'legtit', ' '
	dislin, 'shdpat', 5

	for i = 1, 3 do begin
		if (i gt 1) then dislin, 'labels', 'none','x'
		dislin, 'axspos', 300, nya-(i-1)*800
		dislin, 'graf', 0., 10., 0., 1., 0., 5., 0., 1.

		if (i eq 1) then begin
			dislin, 'bargrp', 3, 0.15
			dislin, 'color', 'red'
			dislin, 'bars', x, y, y1, 9
			dislin, 'color', 'green'
			dislin, 'bars', x, y, y2, 9
			dislin, 'color', 'blue'
			dislin, 'bars', x, y, y3, 9
			dislin, 'color', 'fore'
			dislin, 'reset', 'bargrp'
		end else if (i eq 2) then begin
			dislin, 'height', 30
			dislin, 'labels', 'delta','bars'
			dislin, 'labpos', 'center','bars'
			dislin, 'color', 'red'
			dislin, 'bars', x, y, y1, 9
			dislin, 'color', 'green'
			dislin, 'bars', x, y1, y2, 9
			dislin, 'color', 'blue'
			dislin, 'bars', x, y2, y3, 9
			dislin, 'color', 'fore'
			dislin, 'reset', 'height' 
		end else if (i eq 3) then begin
			dislin, 'labels', 'second', 'bars'
			dislin, 'labpos', 'outside', 'bars'
			dislin, 'color', 'red'
			dislin, 'bars', x, y, y1, 9
			dislin, 'color', 'fore'
		end

		if (i ne 3) then dislin, 'legend', cbuf, 7

		if (i eq 3) then begin
			dislin, 'height', 50
			dislin, 'title'
		end

		dislin, 'endgrf'
	end

	dislin, 'disfin'

end

