; DISLIN: Demonstration of CURVE with default settings / IDL
; Version 1.0, 24.07.2012, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_sample_curve_default

	n = 101
	pi = !PI
	f = pi / 180.
	step = 360. / (n - 1)
	i = indgen (n)
	xray = i * step
	x = xray * f
	y1ray = sin (x)
	y2ray = cos (x)

	dislin, 'scrmod', 'revers'
	dislin, 'setpag', 'da4l'
	dislin, 'disini'

	dislin, 'titlin', 'Demonstration of CURVE', 1
	dislin, 'titlin', 'SIN (X), COS (X)', 3

	dislin, 'graf', 0., 360., 0., 90., -1., 1., -1., 0.5

	dislin, 'color', 'fore'
	dislin, 'height', 50
	dislin, 'title'

	dislin, 'color', 'red'
	dislin, 'curve', xray, y1ray, n
	dislin, 'color', 'green'
	dislin, 'curve', xray, y2ray, n
	dislin, 'disfin'

end

